%global xfceversion 4.14

Name:           xfce4-weather-plugin
Version:        0.10.1
Release:        1
Summary:        Weather information plugin for the Xfce panel
License:        BSD
#Group:          Development/Libraries
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/0.10/%{name}-%{version}.tar.bz2
Patch0:         enable_scrolling_in_details_pane.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  libsoup-devel >= 2.26.0
BuildRequires:  upower-devel >= 0.9.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libxml2-devel >= 2.4.0
Requires:       xfce4-panel >= %{xfceversion}

%description
The weather plugin displays information about the current weather according
your timezone and settings. It allows one to search weather location code in
the same plugin and displays weather status in little icons.

Features include:
 - Temperature, atmospheric pressure and state.
 - Wind speed, gust, and direction.
 - Humidity, Visibility, Dew-point, UV Index.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/xfce4/weather

%changelog
* Mon Jul 27 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 0.10.1-1
- Init package
